post
https://api.myvendy.com/payout-account
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Endpoint to add an account on Vendy to make payouts into. You can add several payout accounts. When you initiate a payout, you choose which one to pay into.
Request:
| Field | Type | Description |
|---|---|---|
| businessId | Integer | Ignored when you use API keys. See Authentication |
| accountnumber | String(Digits) | Bank account number |
| bankname | String | Bank name of payout account from the list of supported banks |
| beneficiaryname | String | Name of beneficiary tied to bank account; can be retrieved from validate bank account endpoint |
| beneficiarycountry | String | Country name or ISO code, for example ng. Required |
| bankcode | String(Digits) | Bank code from the list of supported banks. Required |
| type | Enum(String) | bank or mobile (mobile money wallet). Defaults to mobile, so send bank for bank accounts |
Example request
curl --location 'https://api.myvendy.com/payout-account' \
--header 'Content-Type: application/json' \
--header "AccessKey: $VENDY_ACCESS_KEY" \
--header "SecretKey: $VENDY_SECRET_KEY" \
--data '{
"businessId": 1,
"accountnumber": "0123456789",
"bankname": "GUARANTY TRUST BANK",
"beneficiaryname": "ADA OKAFOR",
"beneficiarycountry": "ng",
"bankcode":"000013",
"type": "bank"
}'Response:
| Field | Type | Description |
|---|---|---|
| status | Boolean | States if request was successfully executed or not |
| code | Integer | Internal code, success if 200 |
| msg | String | A description of the status of the request |
| data | Payout Account | Payout account details |
Example response
{
"status": true,
"code": 200,
"msg": "Bank",
"error": "Bank",
"data": {
"id": 3,
"uid": 1,
"businessId": 3,
"defaultBank": 0,
"accountnumber": "0123456789",
"maskedaccountnumber": "*****456789",
"bankname": "GUARANTY TRUST BANK",
"beneficiaryname": "Test User",
"beneficiarycountry": "NG",
"type": "bank",
"email": null,
"createdAt": "2022-09-19T17:16:28.000Z",
"updatedAt": "2022-09-19T17:16:28.000Z"
}
}